Package org.a2aproject.sdk.grpc
Interface SubscribeToTaskRequestOrBuilder
- All Superinterfaces:
com.google.protobuf.MessageLiteOrBuilder,com.google.protobuf.MessageOrBuilder
- All Known Implementing Classes:
SubscribeToTaskRequest,SubscribeToTaskRequest.Builder
@Generated
public interface SubscribeToTaskRequestOrBuilder
extends com.google.protobuf.MessageOrBuilder
-
Method Summary
Modifier and TypeMethodDescriptiongetId()The resource ID of the task to subscribe to.com.google.protobuf.ByteStringThe resource ID of the task to subscribe to.Optional.com.google.protobuf.ByteStringOptional.Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
isInitializedMethods inherited from interface com.google.protobuf.MessageOrBuilder
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
-
Method Details
-
getTenant
String getTenant()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The tenant.
-
getTenantBytes
com.google.protobuf.ByteString getTenantBytes()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The bytes for tenant.
-
getId
String getId()The resource ID of the task to subscribe to.
string id = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The id.
-
getIdBytes
com.google.protobuf.ByteString getIdBytes()The resource ID of the task to subscribe to.
string id = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The bytes for id.
-